CVE-2005-3872
CVSS7.5
发布时间 :2005-11-29 06:03:00
修订时间 :2011-03-07 21:27:18
NMCOS    

[原文]Multiple SQL injection vulnerabilities in Ugroup 2.6.2 and earlier allow remote attackers to execute arbitrary SQL commands via the (1) FORUM_ID parameter in forum.php, and the (2) TOPIC_ID, (3) FORUM_ID, and (4) CAT_ID parameters in topic.php.


[CNNVD]UGroup 多个SQL注入漏洞(CNNVD-200511-462)

        Ugroup是一款基于PHP和MySQL实现的在线讨论区软件。
        Ugroup 2.6.2及更早版本存在多个SQL注入漏洞,可让远程攻击者通过(1) forum.php中的FORUM_ID参数,以及topic.php中的(2) TOPIC_ID、(3) FORUM_ID和(4) CAT_ID 参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3872
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3872
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-462
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2005/2619
(UNKNOWN)  VUPEN  ADV-2005-2619
http://www.securityfocus.com/bid/15591
(UNKNOWN)  BID  15591
http://secunia.com/advisories/17734
(VENDOR_ADVISORY)  SECUNIA  17734
http://www.osvdb.org/21153
(UNKNOWN)  OSVDB  21153
http://www.osvdb.org/21152
(UNKNOWN)  OSVDB  21152
http://pridels0.blogspot.com/2005/11/ugroup-262-sql-inj-vuln.html
(UNKNOWN)  MISC  http://pridels0.blogspot.com/2005/11/ugroup-262-sql-inj-vuln.html

- 漏洞信息

UGroup 多个SQL注入漏洞
高危 SQL注入
2005-11-29 00:00:00 2005-11-29 00:00:00
远程  
        Ugroup是一款基于PHP和MySQL实现的在线讨论区软件。
        Ugroup 2.6.2及更早版本存在多个SQL注入漏洞,可让远程攻击者通过(1) forum.php中的FORUM_ID参数,以及topic.php中的(2) TOPIC_ID、(3) FORUM_ID和(4) CAT_ID 参数执行任意SQL命令。

- 公告与补丁

        暂无数据

- 漏洞信息

21152
UGroup forum.php FORUM_ID Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

UGroup contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the forum.php script not properly sanitizing user-supplied input to the 'FORUM_ID' variable. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-11-28 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

UGroup SQL Injection Vulnerabilities
Input Validation Error 15591
Yes No
2005-11-28 12:00:00 2005-11-28 12:00:00
Discovery is credited to r0t.

- 受影响的程序版本

UGroup UGroup 2.6.2

- 漏洞讨论

UGroup is prone to SQL injection vulnerabilities. These issues are due to a failure in the application to properly sanitize user-supplied input before using it in an SQL query.

Successful exploitation could result in a compromise of the application, disclosure or modification of data, or may permit an attacker to exploit vulnerabilities in the underlying database implementation.

- 漏洞利用

The following examples were provided:

/forum.php?FORUM_ID=[SQL]
/topic.php?CAT_ID=1&FORUM_ID=1&TOPIC_ID=[SQL]
/topic.php?CAT_ID=1&FORUM_ID=[SQL]
/topic.php?CAT_ID=[SQL]

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站